{ config, pkgs, lib, ...}:
{
	imports = [./desktop.nix];

	dconf.settings = {
	  "com/gexperts/Tilix" = {
			"focus-follow-mouse" = true;
		};
		"org/gnome/mutter" = {
		  "workspaces-only-on-primary" = true;
			# display: partly scale (like 150% or 125%)
			"experimental-features" = [ "scale-monitor-framebuffer" ];
		};
		"org/gnome/desktop/input-sources" = {
			"sources" = [
				(lib.hm.gvariant.mkTuple ["xkb" "de"])
				(lib.hm.gvariant.mkTuple ["xkb" "us"])
			];
		};
		"org/gnome/desktop/sound" = {
			"allow-volume-above-100-percent" = true;
		};
		"org/gnome/desktop/wm/keybindings" = {
			"toggle-maximized" = [ "<Super>z" ];
			"maximize" = [];
			"unmaximize" = [];

			"close" = [ "<Super>c" "<Alt>F4" ];

			"switch-input-source" = [ "<Super>i" "XF86Keyboard" ];
			"switch-input-source-backward" = [ "<Shift><Super>i" "<Shift>XF86Keyboard" ];

			"switch-to-workspace-1" = [ "<Super>1" ];
			"switch-to-workspace-2" = [ "<Super>2" ];
			"switch-to-workspace-3" = [ "<Super>3" ];
			"switch-to-workspace-4" = [ "<Super>4" ];
			"switch-to-workspace-5" = [ "<Super>5" ];
			"switch-to-workspace-6" = [ "<Super>6" ];
			"switch-to-workspace-7" = [ "<Super>7" ];
			"switch-to-workspace-8" = [ "<Super>8" ];
			"switch-to-workspace-9" = [ "<Super>9" ];
			"switch-to-workspace-10" = [ "<Super>0" ];

			"move-to-workspace-1" = [ "<Shift><Super>1" ];
			"move-to-workspace-2" = [ "<Shift><Super>2" ];
			"move-to-workspace-3" = [ "<Shift><Super>3" ];
			"move-to-workspace-4" = [ "<Shift><Super>4" ];
			"move-to-workspace-5" = [ "<Shift><Super>5" ];
			"move-to-workspace-6" = [ "<Shift><Super>6" ];
			"move-to-workspace-7" = [ "<Shift><Super>7" ];
			"move-to-workspace-8" = [ "<Shift><Super>8" ];
			"move-to-workspace-9" = [ "<Shift><Super>9" ];
			"move-to-workspace-10" = [ "<Shift><Super>0" ];
		};
		"org/gnome/shell" = {
			"enabled-extensions" = [
			  "places-menu@gnome-shell-extensions.gcampax.github.com"
			  "drive-menu@gnome-shell-extensions.gcampax.github.com"
				"screenshot-window-sizer@gnome-shell-extensions.gcampax.github.com"
				"auto-move-windows@gnome-shell-extensions.gcampax.github.com"
				"pop-shell@system76.com"
				"gsconnect@andyholmes.github.io"
			];
		};
		# key bindings
		"org/gnome/shell/keybindings" = {
			"switch-to-application-1" = [];
			"switch-to-application-2" = [];
			"switch-to-application-3" = [];
			"switch-to-application-4" = [];
			"switch-to-application-5" = [];
			"switch-to-application-6" = [];
			"switch-to-application-7" = [];
			"switch-to-application-8" = [];
			"switch-to-application-9" = [];
		};
	};

	# programs.firefox.nativeMessagingHosts.gsconnect = true;

	# new/replace
	# programs.firefox.enableGnomeExtensions = true;
	# TODO hä services.gnome.gnome-browser-connector.enable = true;
  # programs.firefox.package = pkgs.firefox.overwrite {
	#	cfg = {
	#		enableGnomeExtensions = true;
	#	};
	#};

	home.packages = with pkgs; [
		tilix
		gnome.gnome-tweaks
	];
}
